Package Details: vala-panel-git 24.05.r0.g295d892-1

Git Clone URL: https://aur.archlinux.org/vala-panel-git.git (read-only, click to copy)
Package Base: vala-panel-git
Description: Gtk3 panel for compositing window managers
Upstream URL: https://gitlab.com/vala-panel-project/vala-panel
Licenses: LGPL-3.0-or-later
Conflicts: vala-panel, vala-panel-sntray, vala-panel-sntray-git
Provides: vala-panel
Submitter: rilian
Maintainer: rilian
Last Packager: rilian
Votes: 22
Popularity: 0.000383
First Submitted: 2015-04-05 15:11 (UTC)
Last Updated: 2024-06-22 16:49 (UTC)

Required by (25)

Sources (1)

Latest Comments

1 2 3 4 5 6 .. 8 Next › Last »

rilian commented on 2024-05-26 14:06 (UTC)

@xiota, answered in appmenu ones.

xiota commented on 2024-05-26 10:15 (UTC)

vala-panel-git, vala-panel-appmenu-*-git, and associated -git packages appear to be tightly coupled and incompatible with the stable, non-git, versions. Recommend strict conflicts (no provides) and explicit depends on the -git variants.

The stable packages have been updated to prevent cross-installations, but it may not be fully effective without similar changes in the git packages.

rilian commented on 2024-03-19 14:38 (UTC)

It conflicts with sntray, because I included sntray in vala-panel sources and removed ability to build it independently, and these 2 packages will not live together in git version.

I did not like git pkgver, and I do not seen anything in politics why I should not edit it manually. So, I will continue to do it if it is not a policy violation.

xiota commented on 2024-03-19 14:31 (UTC)

Some changes needed:

  • Conflicts with vala-panel, not vala-panel-sntray and vala-panel-sntray-git.
  • Update license to LGPL-3.0-only

Also, please stop manually editing pkgver. It should be generated by pkgver() during test builds prior to committing changes.

rilian commented on 2024-02-08 16:07 (UTC)

@Techman35 can you fill an issue in https://gitlab.com/vala-panel-project/vala-panel with screenshots and config file sample?

Techman35 commented on 2024-02-08 04:27 (UTC) (edited on 2024-02-08 04:27 (UTC) by Techman35)

Anybody got window button applet working in vala-panel, they don't appear in the panel when i add it, i ask here cuz i don't know where to ask :S

FabioLolix commented on 2023-12-20 11:56 (UTC)

@rilian you only have to build the package [which will properly calculate the pkgver() ], update .SRCINFO and push the update

The AUR will show the change. This isn't a downgrade because no one installed the 0.7.0 package, epoch is not needed

rilian commented on 2023-12-20 11:49 (UTC)

But will AUR show this change or just ignore it because of SRCINFO?

xiota commented on 2023-12-20 10:57 (UTC) (edited on 2023-12-20 10:59 (UTC) by xiota)

@rilian There's no downgrade because the pkgver() function has been creating the "correct" pkgver on build.

The correct way to update packages before pushing to AUR is to build the package, ensuring that it works. The pkgver() function will write a correct pkgver. Run makepkg --printsrcinfo > .SRCINFO. Commit. Push.